function [x1,v,iter] = newtc(x0,g,gx,varargin)
global copt;
v = [];
iter = 0;
corrector = true;
accvec = copt.acceptanceCriteria;
newteval = copt.newteval;
if nargin > 3
    newteval = varargin{1};
    if nargin > 4
        accvec = varargin{2};
    end
end
while corrector
    iter = iter+1;
     if iter == 1 || mod(iter,newteval) == 0
        Gx0 = gx(x0);
        %[Q,R] = qr(Gx0); 
     end
  
    G0 = g(x0);
    %b = Q\(-1*G0);
    %dx = R\b;
    dx = Gx0\(-G0);
    if isnan(norm(dx)) || isinf(norm(dx))
        disp('warning; NaN encountered, reducing stepsize');
        x1 = [];
        return;
    end
    
    x1 = x0+dx;
    if accvec(4) == 1 || accvec(6) == 1
        G1 = g(x1);
    else
        G1 = 0; %do not need to evaluate
    end
    
    if accepted(x0,x1,G0,G1,accvec) || iter > copt.maxNewtIter
        %new point found
        corrector = false;
    
    else
        
         x0 = x1;

    end     
end
        
    