function out = SteinmetzLarter
out{1} = @init;
out{2} = @fun_eval;

% --------------------------------------------------------------------------
function dydt = fun_eval(u,p)
kmrgd = u;
k1 = p(1);
k2 = p(2);
k3 = p(3);
k4 = p(4);
k5 = p(5);
k6 = p(6);
k7 = p(7);
k8 = p(8);
km7 = p(9);
dydt=[-k1*kmrgd(1)*kmrgd(2)*kmrgd(3)-k3*kmrgd(1)*kmrgd(2)*kmrgd(4)+k7-km7*kmrgd(1);
-k1*kmrgd(1)*kmrgd(2)*kmrgd(3)-k3*kmrgd(1)*kmrgd(2)*kmrgd(4)+k8;
k1*kmrgd(1)*kmrgd(2)*kmrgd(3)-2*k2*kmrgd(3)^2+2*k3*kmrgd(1)*kmrgd(2)*kmrgd(4)-k4*kmrgd(3)+k6;
-k3*kmrgd(1)*kmrgd(2)*kmrgd(4)+2*k2*kmrgd(3)^2-k5*kmrgd(4);];

% --------------------------------------------------------------------------
function [y0,p,ap] = init
y0=[31.78997;1.45468;0.01524586;0.1776113];
p = [0.1631021;1250;0.046875;20;1.104;0.001;4.235322;0.5;0.1175];
ap = 7;



