
function out = brusselator

    out{1} = @init;
    out{2} = @f;
    

%--------------------------------------------------

function [u0,p,ap] = init
    
    u0 = [0;0];
    A = 1;
    B = 1;
    p = [A,B];
    ap = 2;


%--------------------------------------------------
%
% The vector field
%
function vf_ = f(u,p)
      
    A = p(1);
    B = p(2);
    z = B*u(1) + A^2*u(2) + (B/A)*u(1)^2 + 2*A*u(1)*u(2) + u(1)^2*u(2);
        
    vf_ = zeros(2,1);
    vf_(1) = z-u(1);
    vf_(2) = -z;


