
function out = hopfex3
%= adapt in matcont
    out{1} = @init;
    out{2} = @f;
    

%--------------------------------------------------

function [u0,p,ap] = init
    
    u0 = [0;0;0];
   
    p = [-10,1];
    ap = 1;


%--------------------------------------------------
%
% The vector field
%
function vf_ = f(u,p)
    a = p(1);
    b = p(2);
    
    vf_ = zeros(3,1);
    vf_(1) = u(2);
    vf_(2) = u(3);
    vf_(3) = -a*u(3)-b*u(2)-u(1)+u(1)^2;

