
function out = hopfnormalform

    out{1} = @init;
    out{2} = @f;
    

%--------------------------------------------------

function [u0,p,ap] = init
    
    u0 = [0;0];
   
    p = -1;
    ap = 1;


%--------------------------------------------------
%
% The vector field
%
function vf_ = f(u,p)
      
    x = u(1);
    y = u(2);
    vf_ = zeros(2,1);
    vf_(1) = p*x - y - x*(x^2+y^2);
    vf_(2) = x + p*y - y*(x^2+y^2);


