function val = psnorm(x,varargin)
global copt;
global curve;


if nargin > 2
    disp('too many arguments for psnorm');
    return
end
normid = 2;
if nargin > 1
    normid = varargin{1};
end

if ~curve.limitcyclecont
    u = x(1:end-1);
    l = x(end);
    val = norm(u,normid)*copt.pwu + norm(l,normid)*copt.pwl;
else

    u = x(1:end-2);
    T = x(end-1);
    l = x(end);
    val = norm(u,normid)*copt.pwu + norm(T,normid)*copt.pwT + norm(l,normid)*copt.pwl;
end