function plotf(f,tint,yint,liveplot,varargin)

if nargin > 4;
    v = varargin{1};
else
   v = f{8}();
end

minX = yint(1);
maxX = yint(end);

if(liveplot)
figure;
color = 'r';
for j = 1:length(tint)
%-- create x and y values for plot (J.B.)
    u = f{6}(tint(j),yint,v);
    solution  = u;
    location  = yint;
%-- plot the solution (J.B.)
    ppp1=plot(location,solution,'r');
%-- set several style options (J.B.)
       %set(ppp1,'LineWidth',2);
       %axx1=get(gcf,'CurrentAxes');
       %set(axx1,'FontSize',14);
       %axis([0 1 0 1]);
       %axis([0 3 minX maxX]);
%-- print labels and title (J.B.)
    xlabel('x');
    ylabel('solution u');
    title(['t=' num2str(tint(j))]);
    if j==1
        pause
    else
        pause(10^-9);
    end
end

else
figure;
color = 'bgrcyo';
labels = {};

for j = 1:length(tint)
    u = f{6}(tint(j),yint,v);
    solution  = u;
    location  = yint;
%-- plot the solution (J.B.)
    style = [color(j)];% '-o'];
    labels{j} = ['t = ' num2str(tint(j))];
    p1 = plot(location,solution,style);
    %set(p1,'LineWidth',2);
    %axx1=get(gcf,'CurrentAxes');
    %set(axx1,'FontSize',14);
       %axis([0 1 0 1]);
    %axis([0 1 minX maxX]);
    hold on;
end
xlabel('x');
ylabel('solution u');      
legend(labels{:})
%title('Burgers equation. Mass matrix M(t,y). MMPDE6')	
hold off
drawnow
end %if liveplot