function plotperiodic(x,n,varargin)


[dim,points] = size(x);

for i=1:points
    cycle = x(:,i);
    T = cycle(end-1);
    lambda = cycle(end);
    u = cycle(1:end-2);
    nump = length(u)/n;
    u = reshape(u,n,nump);
    l = lambda * ones(1,nump);
    xlc = [u;l];
    if nargin > 2
       xlc = xlc(varargin{1},:);
    end
    for j = 1:length(u)
        line(xlc(1,:),xlc(2,:),xlc(3,:),'Linestyle','-','Marker','.');
    end
end

    