%script

%% generating option structure
opts = [];
opts.h = 0.01; %initial steplength
%opts.hmin = 10^-5; %minimum steplength
opts.numPoints = 2;
opts.ncol = 2;
opts.ntst = 3;
%opts.tolx = 10^-5;
%opts.tolf = 10^-5;
%opts.orientation = 1;
%opts.maxNewtIter = 20;
%%
%funct = bratumod;
funct = hopfex1;
[u0,p,ap] = funct{1}();
%u0 = u0+[0.05;-0.03];

%%
disp('start');
initH_LCcont(funct,u0,p,ap,opts);
disp('finished');
%%
disp('hei')
out = continuer();
disp('done');
%%
plotsys(out.x,out.v,out.s,[3 1 2]);
xlabel('a')
ylabel('x')
zlabel('y')

%%
[dim,points] = size(out.x);
maxX = max(out.x);
plotsys(out.x,out.v,out.s,[dim 1]);
xlabel('rho');
zlabel('x');
%%
[dim,points] = size(out.x);
maxX = max(out.x(1:end-1,:));
x = [maxX;out.x(end,:)];
plotsys(x,out.v,out.s,[2 1]);
xlabel('rho');
zlabel('x');
%%
numpoints = opts.numPoints;
out.s.index(2) = numpoints;
out.s.label = ['s' 'e'];

plotsys(out.x(:,1:numpoints),out.v(:,1:numpoints),out.s,[3 1 2]);
xlabel('x');
zlabel('y');
%%