function acc = accepted(x0,x1,f0,f1,test)
global copt;

dx = x1-x0;
df = f1-f0;
acc = true;

% if copt.adaptmesh
%     %the mesh need not be subject to the same strict tolerances
%     [x0,m0] = separatemesh(x0);
%     [x1,m1] = separatemesh(x1);
%     [dx,dxm] = separatemesh(dx);
%     [df,dfm] = separatemesh(df);
%     
%     %testcriteria for mesh
%     dxm = dxm(1:end-1); %remove the active parameter from the mesh
%     if copt.meshtol > 0 && norm(dxm,inf) > copt.meshtol;
%         acc = false;
%         return;
%     end
% end

if test(1)
    lambdafrac = abs(dx(end))/(1+abs(x1(end)));
    if  ~(lambdafrac < copt.toll)
             acc = false;
             return;
    end
end
if test(2)
    ufrac = norm(dx(1:end-1),inf)/(1+norm(x1(1:end-1),inf));
    if  ~(ufrac < copt.tolu)
        acc = false;
        return;
    end
end
if test(3)
    
    if  ~(norm(dx,inf) < copt.tolxinf);
        acc = false;
        return;
    end
end
if test(4)
    
    if  ~(norm(df,inf) < copt.tolfinf);
        acc = false;
        return;
    end
end
if test(5)
    
    if  ~(norm(dx,2) < copt.tolx);
        acc = false;
        return;
    end
end
if test(6)

    if  ~(norm(df,2) < copt.tolf);
        acc = false;
        return;
    end
end

end

