function [x1,v,iter] = fastcorr3(x1,g,gx,varargin)

global copt;
global curve;
v = [];
v0 = curve.v0;
iter = 0;
accvec = copt.acceptanceCriteria;
newteval = 0; %chord method by default
if nargin > 3
    newteval = varargin{1};
%    if nargin > 4
%        accvec = varargin{2};
%    end
end

c = zeros(curve.n+1,1);
c(end) = 1;

while true
            iter = iter +1;
            if iter == 1 || mod(iter,newteval) == 0
                Fx0 = gx(x1);
            end
            
            F1 = g(x1);
            lastwarn('');
            z = [Fx0;v0']\[F1;0];
            if ~isempty(lastwarn)
                x1 = [];
                break;
            end
                        
            if isnan(z)
                %disp('warning; NaN encountered, reducing stepsize');
                x1 = [];
                
                break;
            end
            x1 = x1 - z;
            
            if accvec(4) == 1 || accvec(6) == 1
                Fnew = g(x1);
            else
                Fnew = 0; %do not need to evaluate
            end
           if accepted(x1+z,x1,F1,Fnew,accvec) || iter > copt.maxNewtIter
                %new point found
                v = [];
                
                break;
           end
        
end


        
    