function [minstep,quit] = simpleadaptstep(minstep,detected,found,iter,bifIter,coeff,varargin)
    global copt;
    quit = false;
    if detected == 3
         copt.h = copt.hmin;
          
    elseif detected && ~found
         %if id == 3% branch point
         %    copt.h = abs(coeff)*copt.h;
         %else
         copt.h = coeff*copt.h;
         if bifIter > copt.maxBifIter
                 disp('failed to converge to a bifurcation point');
                quit = true;
                return;
         end
    else
         %detected = false;
         %found = false;
            
         if iter < floor(copt.maxNewtIter/3);
              copt.h = copt.h*copt.hinc;
         elseif iter > ceil(2*copt.maxNewtIter/3);
              copt.h = copt.h*copt.hdec;
         end
    end

    %check against min and max steplengths
    if abs(copt.h) < copt.hmin
       if minstep
          disp('minimum Newton steplength reached')
          quit = true;
   
          return;
       end
       if detected == 1
          if bifIter > copt.maxBifIter %we may allow the steplength to be less than copt.hmin as long as bifIter is low..
                disp('failed to converge to a bifurcation point');
                quit = true;
        
                return;
          end
       else
           minstep = true;
           copt.h = sign(copt.h)*copt.hmin;
       end   
   end
 
            
   if abs(copt.h) > copt.hmax
      %disp('maximum Newton steplength reached');
      copt.h = sign(copt.h)*copt.hmax;
   end