
function out = bratumod
    out{1} = @init;
    out{2} = @f;

    

%--------------------------------------------------

function [u0,p,ap] = init
    
    u0 = [0;0];
   
    p = 0;
    ap = 1;


%--------------------------------------------------
%
% The vector field
%
function vf_ = f(u,a)
    x          = u(1);
    y          = u(2);

    vf_ = zeros(2,1);
    vf_(1) = -2*x+y+a*exp(x);
    vf_(2) = exp(y)*a+x-2*y;

