function nplotlc(normnumber,xlc,vlc,slc,cplno,flc,dim)

%x structure for limit cycles x_i = [x_i,1, x_i,2,....,x_i,ntst*ncol+1,
%T_i, param_i], T is periode, param is the parameter value

% restructure xx(i,j,k) = [variabelen x_i, variableverdi nr. j, sykel no.k]
[m points] = size(xlc); % # of continuation steps
% dim == dimension of ODE
% max and min of x along periodic solutions
xx = xlc(1:end-2,:);
b = (m-2)/dim;
xx = reshape(xx, [dim b points]);

%xa = max(squeeze(xx(1,:,:)), [], 1);
%xi = min(squeeze(xx(1,:,:)), [], 1);
PAR = xlc(end,:);

Xmin = zeros(1,points);
Xmax = zeros(1,points);
for j=1:points %for hver sykel

%tar normen i hvert punkt p limitcyclen
normX = zeros(1,b);
for i=1:b
        normX(i) = norm(xx(:,i,j),normnumber);
end
Xmax(j) = max(normX); %tar maximum
Xmin(j) = min(normX); 
end
size(Xmax)

%clf;
if cplno ==1
    %cpl([Xmin;PAR],vlc,slc, [2 1]);
    cpl([Xmax;PAR],vlc,slc, [2 1]);
else
%    cpl2lc([Xmin;PAR],vlc,slc,flc, [2 1]);
    cpl2lc([Xmax;PAR],vlc,slc,flc, [2 1]);
end
xlabel('active parameter');
ylabel('"x"');
