%script

%% generating option structure
opts = [];
%opts.h = 0.01; %initial steplength
%opts.hmin = 10^-5; %minimum steplength
opts.numPoints = 100;
opts.testtol = 10^-5;
opts.orientation = 1;
opts.printprogress = 0;
opts.singularityLocator = 1;
opts.secanttangent = 0;
%opts.tolx = 10^-5;
%opts.tolf = 10^-5;
%opts.orientation = 1;
%opts.maxNewtIter = 20;
%%
funct = bratumod;
init = funct{1};
[u0,p,ap] = init();

%%

initEP_EPcont(funct,u0,p,ap,opts);

%%
outbr = continuer();
%% branch switching
disp('switch branch');
opts.numPoints = 30;
steplength = 0.05;
point = outbr.s.index(3);
initB_EPcont(funct,outbr,point,steplength,opts);

%% continuing along the new branch
outb = continuer();
%% branch switching the other direction
disp('switch branch in other direction');
opts.numPoints = 50;
opts.orientation = -opts.orientation;
initB_EPcont(funct,outbr,point,steplength,opts);
%% continuing along the new branch
outb2 = continuer();
%%
figure;
plotsys(outbr.x,outbr.v,outbr.s,[3 1 2],outbr.f);
%%
plotsys(outb.x,outb.v,outb.s,[3 1 2],outb.f);
%%
plotsys(outb2.x,outb2.v,outb2.s,[3 1 2],outb2.f);
xlabel('a')
ylabel('x')
zlabel('y')