%script

%% generating option structure
opts = [];
opts.h = 0.01; %initial steplength
opts.max = 0.3;
%opts.hmin = 10^-5; %minimum steplength
opts.numPoints = 100;
opts.newtgauss = false;
opts.testtol = 10^-5;
opts.orientation = 1;
opts.secanttangent = 1;
opts.newteval = 5;
opts.correctortype = 1;
opts.printprogress = 0;
%opts.tolx = 10^-5;
%opts.tolf = 10^-5;
%opts.orientation = 1;
%opts.maxNewtIter = 20;
global curve;
%%
funct = brusselator;
[u0,p,ap] = funct{1}();
p(1) = 0.3;
%u0 = u0+[0.05;-0.03];

%%
disp('start');
initEP_EPcont(funct,u0,p,ap,opts);
disp('finished');
%%
disp('hei')
outbr = continuer();
disp('done');
%%
% disp('hei')
% out2 = continuer(funct);
% out = mergecont(out,out2);
% disp('done');
%%

%%
disp('initializing LC without mesh adaptation');
point = outbr.s.index(2);
amp = 0.01;
opts.numPoints = 15;
opts.ntst = 8;
opts.ncol = 4;
opts.h = 0.1;
opts.hmax = 0.5;
opts.hmin = 10^-5;
opts.correctortype = 0;
opts.adaptmesh = 0;
opts.maxNewtIter = 20;
opts.detectBifurcationPoints = 0;
opts.printprogress = 1;

initH_LCcont(funct,outbr,point,amp,opts);
disp('done');

%%
outLC2 = continuer();
%%
test = continuer();
%%
figure;
e = [3 1 2];
plotsys(outbr.x,outbr.v,outbr.s,e,outbr.f);
dim = 2;
plotperiodic(outLC2.x,2,e);
view(2,3);
xlabel('B')
ylabel('x')
zlabel('y')
%%
disp('initializing LC with mesh adaptation');
point = outbr.s.index(2);
amp = 0.01;
opts.numPoints = 15;
opts.ntst = 8;
opts.ncol = 4;
opts.h = 0.1;
opts.hmax = 0.3;
opts.hmin = 10^-6;
opts.correctortype = 0;
opts.adaptmesh = 1;
opts.mmpde = 5;
opts.smoothing = 1;
opts.maxNewtIter = 20;
opts.meshrelaxation = 10^-4;
opts.meshtol = 10^-5;
opts.detectBifurcationPoints = 0;
opts.printprogress = 1;
opts.startadapt = 0;
%opts.tolf = 10^-5;
%opts.topx = 10^-3;
%mesh = 0:1/opts.ntst:1;
%mesh = mesh.^3;
%mesh = [0, feval(@sin,mesh(2:end-1)),1];
initH_LCcont(funct,outbr,point,amp,opts);%,mesh);
disp('done');

%%
outLC3 = continuer();

%%
curve.spstart = 0;
opts.numPoints = 10;
opts.h = 0.001;
opts.hmin = 10^-6;
opt.hmax = 0.05;
test = continuer(funct,opts);
%%
outLC3 = mergecont(outLC3,test);

%%
figure;
e = [3 1 2];
plotsys(outbr.x,outbr.v,outbr.s,e,outbr.f);
dim = 2;
%np = 8;
x = outLC3.x;%(:,1:np);
plotperiodic(x,dim,e);
view(2,3);
xlabel('B');
ylabel('x');
zlabel('y');
%%
figure;
plotsys(outbr.x,outbr.v,outbr.s,[3 1],out.f);
plotpermaxmin2d(outLC4,2);
xlabel('B');
ylabel('x');


