%kommentarer til scriptet;
%dette scriptet skal ikke kjres som helhet, men hver seksjon m kjres for
%seg og parametre etc. endres m.h.p hvilket testcase som kjres.


%%

%declaring parameters


t0 = 0; %time
tau = 10^-4;
funct = gspikes2;
odef = clgspikes2;
%v = [0.5 0.5 0.025, 0.025];%feval(funct{8});
v = [0.35 0.55 0.02 0.02];
a1 = v(1);
a2 = v(2);
e1 = v(3);
e2 = v(4);

N = 19; %the number of internal nodes 
mmpdenumber = 6;
smooth = 0; %boolean: smoothing?

%t_lab = 1;
%p= t_lab; %vector of the parameters initial values, since we have only one parameter, t0, p is one-dimensional
p = [t0;tau;a1;a2;e1;e2;N;mmpdenumber;smooth]; %vector of initial parameter values
ap = 1; %active parameter

%inital value of variables
%handles = feval(@gmmpde);
%[t,x0] = feval(handles{1},N,funct,v); %henter info fra init() i mmpde5 fila
tspan = [0; 1];
H = 0:1/(N+1):1;
x0 = feval(funct{7},H(2:end-1)',v);

opts.numPoints = 500;
opts.hmin = 10^-6;
opts.hmax = 10^-3;
opts.h = 0.0005;
opts.newteval = 5;
opts.correctortype = 0;
opts.secanttangent = 1;
opts.testtol = 10^-5;
opts.testsing = 10^-5;
opts.detectBifurcationPoints = 1;
opts.maxBifIter = 30;
%opts.h = 0.0015;
opts.printprogress = 0;
opt.acceptanceCriteria = [0,0,1,1,0,0];
%opts.tolx = 10^-5;
%opts.tolf = 10^-5;
opts.orientation = -1;
%opts.maxNewtIter = 20;
%initializing
%%
initEP_EPcont(odef,x0,p,ap,opts);
disp('initializing done');
%%
out1 = continuer();

%%
u = out1.x(1:end-1,:);
lambda = out1.x(end,:);
nu = zeros(1,size(u,2));
for i = 1:size(u,2);
    nu(i) = norm(u(:,i));
end
xpl = [nu;lambda];
plotsys(xpl,out1.v,out1.s,[2 1])%;,out.f);
%%
nplot(2,out1.x,out1.v,out1.s)%,out1.f);%2 er den euklidske normen
%%
cplno=3; %plot with no labels
%folds in black
%hopf in red
%BP in green and *
nplot(2,x,v,s,cplno,f);
disp('plotting done');
%%
cplno = 1;
nplot(2,x,v,s,cplno,f)
%%
figure;
for i=1:N
    xplot(i,x,v,s,2,f);
end

%% limit cycle continuation from a hopf point
%ind = 4;
index = 385;%s(ind).index; %the index of a Hopf point of s.msg
x1 = x(1:end-1,index);
p(ap) = x(end,index);
initAmp =10^-4;%10^-1;%the value of the initial amplitude , hvordan velge denne????
ntst = 20;%number of mesh points
ncol = 4;%number of collocation points
[x1,v1] = init_H_LC(ode,x1,p,ap,initAmp,ntst,ncol);%obs Neutral Saddle er ikke et hopf punkt...
disp('done');

%%
%limit cycle continued:
opt = contset(opt,'MaxNumPoints',5);
% opt = contset(opt,'Eigenvalues',1); 
% opt = contset(opt,'Singularities',1);
opt = contset(opt,'MaxStepsize',1);
% %opt = contset(opt,'Backward',1);
 opt = contset(opt,'MinStepsize',10^-6);
opt = contset(opt,'InitStepsize',10^-4);
%opt = contset(opt,'VarTolerance',10^-3);
%opt = contset(opt,'FunTolerance',10^-3);
[xlc,vlc,slc,hlc,flc] = cont(@limitcycle,x1,v1,opt); 
%% continue limitcycle computation
for i=1:200
[xlc,vlc,slc,hlc,flc] = cont(xlc,vlc,slc,hlc,flc,cds);
end
%% extracting data
points = size(xlc,2); % how many continuation steps
xx = xlc(1:end-2,:); % extract periodic solution data
xx = reshape(xx, [N, ntst*ncol+1, points]); % reformat solution data
PER = xlc(end-1,:); % periods
PAR = xlc(end,:); % parameter values
%% plot the limit cycle
normnumber = 2;
cplno = 2;
dim = N;

nplotlcmed(normnumber,xlc,vlc,slc,cplno,flc,dim);


%% plot cycle in the same diagram
%% limit point (fold) continuation
disp('LP1 continuation');
LP1index = s(4).index;
x1 = x((1:end-1),LP1index);%sets the point to be the first limit point (LP1)
p(ap) = x(end,LP1index); %sets the active parameter value to be the value at LP1 p = [t0;tau;a1;epsilon1;N;mmpdenumber;smooth]; 
ap = [1 4]; %setting the new active parameters we need 2 parameters for fold continiuation
%initializing fold continuation
[x1,v1] = init_LP_LP(@ode,x1,p,ap);

%% fold continuation
opt = contset(opt,'Backward',0);
opt = contset(opt,'MaxNumPoints',10);
[x2,v2,s2,h2,f2] = cont(@limitpoint,x1,v1,opt);
disp('done LP1 continuation');
%% 
[x2,v2,s2,h2,f2] = cont(x2,v2,s2,h2,f2,cds);
%%
%plotting the fold
figure;
T0 = x2(end-1,:);
var2 = x2(end,:);
cpl([T0;var2],v2,s2,[1 2]);

%% backwards limit point (fold) continuation
opt = contset(opt,'Backward',1);
[x2b,v2b,s2b,h2b,f2b] = cont(@limitpoint,x1,v1,opt);

%% continuing backwards fold continuation
opt = contset(opt,'MaxNumPoints',5);
[x2b,v2b,s2b,h2b,f2b] = cont(x2b,v2b,s2b,h2b,f2b,cds);

%% plotting the fold
%hold on;
figure;
T0 = x2b(end-1,:);
var2 = x2b(end,:);
cpl([T0;var2],v2b,s2b,[1 2]);
%hold off;
%%
%init hopf continuation
disp('Hopf continuation');
index = s(4).index;
x1init = x((1:end-1),index);%sets the point to be the first limit point (LP1)
p(ap) = x(end,index); %sets the active parameter value to be the value at LP1
ap = [1 3]; %setting the new active parameters we need 2 parameters for the continiuation
%initializing fold continuation
[x1,v1] = init_H_H(@ode,x1init,p,ap);
%% holf continuation
[x2,v2,s2,h2,f2] = cont(@hopf,x1,v1,opt);
disp('done Hopf continuation');
%% plotting hopf
figure;
var1 = x2(end-1,:);
var2 = x2(end,:);
cpl([var1;var2],v2,s2,[1 2]);




%% Branch point
ind = 5;
sb = s(ind);
index = s(4).index; %index of branch point
xb = x((1:end-1),index);%sets the point to be the first limit point (LP1)
p(ap) = x(end,index);
%%
h = 0.01;
[x0,v0] = init_BP_EP(ode,xb,p,sb,h);
%opt = contset(opt,'MaxNumPoints',50);
[x,v,s,h,f] = cont(@equilibrium,x0,[],opt);
%%

