%kommentarer til scriptet;
%dette scriptet skal ikke kj�res som helhet, men hver seksjon m� kj�res for
%seg og parametre etc. endres m.h.p hvilket testcase som kj�res.

%%
disp('start initializing');
%declaring parameters

t0 = 0; %time
tau = 10^-4;
funct = gspike;
odef = gmmpde;

v = [0.300145  0.0144];%feval(funct{8});
%v  =[0.3001 0.01];
a = v(1);
e = v(2);

N = 19; %the number of internal nodes 
mmpdenumber = 4;
smooth = 0; %boolean: smoothing?

%t_lab = 1;
%p= t_lab; %vector of the parameters initial values, since we have only one parameter, t0, p is one-dimensional
p = [t0;tau;a;e;N;mmpdenumber;smooth]; %vector of initial parameter values
ap = 1; %active parameter

%inital value of variables
H = 0:1/(N+1):1;
x0 = feval(funct{7},H(2:end-1)',v);

opts = [];
opts.h = 0.05; %initial steplength
%opts.hmin = 10^-5; %minimum steplength
opts.numPoints =5000;
opts.hmin = 10^-6;
opts.hmax = 10^-3;
opts.newteval = 1;
opts.correctortype = 0;
opts.secanttangent = 1;
opts.testtol = 10^-4;
opts.testsing = 10^-4;
opts.detectBifurcationPoints = 1;
opts.maxBifIter = 30;
%opts.h = 0.0015;
opts.printprogress = 0;
opt.acceptanceCriteria = [0,0,1,1,0,0];
%opts.tolx = 10^-5;
%opts.tolf = 10^-5;
opts.orientation = -1;
%opts.maxNewtIter = 20;

%% initializing
initEP_EPcont(odef,x0,p,ap,opts);
disp('initializing done');
%%
outep = continuer();
%%
u = outep.x(1:end-1,:);
lambda = outep.x(end,:);
nu = zeros(1,size(u,2));
for i = 1:size(u,2);
    nu(i) = norm(u(:,i));
end
xpl = [nu;lambda];
plotsys(xpl,outep.v,outep.s,[2 1],outep.f);
    
%%
% figure;
% dim = size(out.x,1);
% for i=1:N
%     plotsys(out.x,out.v,out.s,[dim i]);
% end

%% limit cycle continuation from a hopf point
point=outep.s.index(4);
disp('initializing LC');
amp = 0.01;
opts.h = 0.1;
opts.hmin = 10^-5;
opts.hmax = 1;
opts.ntst = 30;
opts.ncol = 4;
opts.maxNewtIter = 20;
opts.numPoints = 500;
opts.newteval = 10;
opts.adaptmesh = 0;
opts.printprogress = 1;
opts.detectBifurcationPoints = false;

initH_LCcont(odef,outep,point,amp,opts);
disp('done');

%%

outlc1 = continuer();
%%
global curve;
curve.spstart = 0;
opts.h = 6;
opts.hmax = 15;
outlc2 = continuer(odef,opts);
%%
figure;
dim = size(outep.x,1)-1;
%for i=1:N
i = 10;
plotsys(outep.x,outep.v,outep.s,[dim+1 i]);
%%
plotpermaxmin2d(outlc,i);