%script

%% generating option structure
opts = [];
%opts.h = 0.01; %initial steplength
%opts.hmin = 10^-5; %minimum steplength
opts.numPoints = 400;
opts.correctortype = 1; %0 = newt-gauss, 1= pseudoarchlength, 2 = fastcont
opts.testtol = 10^-5;
opts.newteval = 1;
opts.orientation = 1;
opts.printprogress = 0;
opts.secanttangent = 1;
%opts.tolx = 10^-5;
%opts.tolf = 10^-5;
%opts.orientation = 1;
%opts.maxNewtIter = 20;

%%
funct = hopfnormalform;
init = funct{1};
[u0,p,ap] = init();


%%

initEP_EPcont(funct,u0,p,ap,opts);

%%
out = continuer();

%%
disp('initializing LC');
point = out.s.index(2);
amp = 0.001; 
opts.ntst = 10;
opts.ncol = 4;
opts.h = 1;
opts.hmax = 5;
opts.maxNewtIter = 20;
opts.numPoints = 10;
opts.newteval = 5;
opts.adaptmesh= 1;
opts.startadapt = 1;
opts.meshtol = 0.01;
opts.detectBifurcationPoints = 0;
opts.printprogress = 1;
mesh = 0:1/opts.ntst:1;
mesh = mesh.^6;
initH_LCcont(funct,out,point,amp,opts,mesh);
disp('done');

%%
outlc = continuer();

%%
figure;
plotsys(out.x,out.v,out.s,[3 1 2],out.f);
x = outlc.x;
plotperiodic(x,2,[3 1 2]);
view(2,4);
xlabel('l')
ylabel('x')
zlabel('y')
