%script

%% generating option structures
opts = [];
%opts.h = 0.01; %initial steplength
%opts.hmin = 10^-5; %minimum steplength
opts.numPoints = 400;
opts.correctortype = 0;
opts.testtol = 10^-5;
opts.testsing = 10^-8;
opts.newteval = 5;
opts.secanttangent = 1;
%opts.h = 0.0015;
opts.printprogress = 0;
%opts.tolx = 10^-5;
%opts.tolf = 10^-5;
opts.orientation = -1;
%opts.maxNewtIter = 20;
dim = 3;
%%
funct = lorenz;
init = funct{1};
[u0,p,ap] = init();

%%
initEP_EPcont(funct,u0,p,ap,opts);
out = continuer();

%% branch switching
disp('switch branch');
opts.numPoints = 700;
opts.hmax = 0.1;
opts.orientation = -1;
point = out.s.index(2);
steplength = 0.05;
initB_EPcont(funct,out,point,steplength,opts);

%% continuing along the new branch
outb = continuer();

%% branch switching
disp('switch branch');
opts.orientation = -opts.orientation;
initB_EPcont(funct,out,point,steplength,opts);

%% continuing along the branch
outb2 = continuer();

%%
disp('initializing LC');
point = outb.s.index(2);
amp = 0.01;
opts.hmax = 5;
opts.h = 1;
opts.ntst = 20;
opts.ncol = 4;
opts.orientation = -1;
opts.maxNewtIter = 20;
opts.numPoints = 50;
opts.newteval = 5;
opts.adaptmesh = 0;
opts.detectBifurcationPoints = false;
opts.printprogress = 1;
initH_LCcont(funct,outb,point,amp,opts);
disp('done');

%%
disp('Starting continuation of a periodic solution branch');
outlc = continuer();

%%
%[m points] = size(outlc.x);
%xx = outlc.x(1:end-2,:);
%xx = reshape(xx, [dim (m-2)/dim points]);
%xa = max(squeeze(xx(1,:,:)), [], 1);
%xi = min(squeeze(xx(1,:,:)), [], 1);
%p1 = outlc.x(end,:);
%%
figure;
plotsys(out.x,out.v,out.s,[dim+1 1],out.f);
plotsys(outb.x,outb.v,outb.s,[dim+1 1],outb.f);
plotsys(outb2.x,outb2.v,outb2.s,[dim+1 1],outb2.f);
xlabel('r')
ylabel('x')
plotpermaxmin2d(outlc,1);
%plotsys([p1; xi],vh,sh,[1 2]);
%%
figure;
dim = 3;
plotperiodic(outlc.x,dim,[4 1 2]);
xlabel('r');
ylabel('x');
zlabel('y');
