%script

%% generating option structure
opts = [];
%opts.h = 0.01; %initial steplength
%opts.hmin = 10^-5; %minimum steplength
opts.numPoints = 25;
opts.testtol = 10^-5;
opts.hmin = 10^-4;
opts.hmax = 0.4;
opts.orientation = 1;
opts.correctortype =0;
opts.newteval = 1;
opts.detectBifurcationPoints = 1;
opts.printprogress = 1;
%opts.tolx = 10^-5;
%opts.tolf = 10^-5;
%opts.orientation = 1;
%opts.maxNewtIter = 20;
global curve;
%%
funct = SteinmetzLarter;
[u0,p,ap] = funct{1}();
%u0 = u0+[0.05;-0.03];

%%
disp('start');
initEP_EPcont(funct,u0,p,ap,opts);
disp('finished');
%%
disp('hei')
outsl= continuer();
disp('done');

%%
disp('initializing LC');
point = 20;
amp = 0.01;
opts.numPoints = 10;
opts.maxNewtIter = 20;
opts.h = 1;
opts.newteval = 0;
opts.maxNewtIter = 20;
opts.hmax = 5;
opts.hmin = 10^-4;
opts.tolu = 0.0001;
opts.toll = 0.0001;
opts.ntst = 10;
opts.ncol = 4;
opts.adaptmesh = 1;
opts.meshtol = 10^-6;

opts.printprogress = 1;
opts.detectBifurcationPoints = 0;
initH_LCcont2(funct,outsl,point,amp,opts);
disp('done');
%%
outlc = continuer();

%%
figure;
plotsys(outsl.x,outsl.v,outsl.s,[1 2 4]);
x = outlc.x;
plotperiodic(x,4,[1 2 4]);
xlabel('A');
ylabel('B')
zlabel('l')
view(1,2);


