%script

%% generating option structure
opts = [];
opts.h = 0.1; %initial steplength
opts.hmin = 10^-5; %minimum steplength
opts.numPoints = 30;
opts.correctortype = 0; %0 = newt-gauss, 1= pseudoarchlength, 2 = fastcont
opts.testtol = 10^-5;
opts.newteval = 1;
opts.orientation = -1;
opts.printprogress = 0;
opts.secanttangent = 1;
opts.detectBifurcationPoints = 1;

%%
funct = vanderpol;
init = funct{1};
[u0,p,ap] = init();
%u0 = u0+[0.05;-0.03]; %perturbation

%%
initEP_EPcont(funct,u0,p,ap,opts);
%%
outv = continuer();
%%
figure;
plotsys(outv.x,outv.v,outv.s,[3 1 2],outv.f);
xlabel('l')
ylabel('x')
zlabel('y')
%%
point = outv.s.index(2);
amp = 0.01; 
opts.ntst = 10;
opts.ncol = 4;
opts.h = 1;
opts.hmax = 4;
opts.maxNewtIter = 20;
opts.numPoints = 6;
opts.newteval = 5;
opts.adaptmesh= 0;
opts.startadapt = 0;
opts.meshtol = 10^-5;
%opts.correctortype = 1;
opts.detectBifurcationPoints = 0;
opts.printprogress = 1;
initH_LCcont(funct,outv,point,amp,opts);
disp('done');

%%
outlc = continuer();

%%
global curve;
curve.spstart = 0;
opts.numPoints = 10;
test = continuer(funct,opts);
outlc = mergecont(outlc,test);
%%
figure;

plotsys(outv.x,outv.v,outv.s,[3 1 2],outv.f);
plotperiodic(outlcadapt.x,2,[3 1 2]);
view(2);
xlabel('l')
ylabel('x')
zlabel('y')
